Subject: fungus fair

From: [email-masked] (PlantMed)
Date: 14 Jan 1995 13:32:00 -0500

The annual Fungus Fair is being held in Santa Cruz this weekend (1/14-15).
 If you live in the area, drop on by.  It's in Harvey West Park.